{ config, pkgs, lib, ... }:
with lib.hm.gvariant;
{
  imports = [
    #../modules/home-manager/gnome-shell-customization.nix
    ../modules/home-manager/fish.nix
    ../modules/home-manager/browser.nix
    ../modules/home-manager/code.nix
  ];

  ## Home Manager configuration
  home.stateVersion = "24.05";
  # Let Home Manager install and manage itself.
  programs.home-manager.enable = true;

  ## Basic configuration
  home.username = "remy";
  home.homeDirectory = "/home/remy";

  #home.file.<filepath> = <content>;
  
  ## Utils relevant to this user only
  programs.git = {
    enable = true;
    userName = "Remy Moll";
    userEmail = "me@moll.re";
  };
  

  ## Gnome settings
  dconf.settings = {
    # set the keyboard layout to german
    "org/gnome/desktop/input-sources" = {
      current = mkUint32 0;
      sources = [ (mkTuple [ "xkb" "de" ]) (mkTuple [ "xkb" "ch" ]) (mkTuple [ "xkb" "us" ]) ];
      xkb-options = [ "lv3:ralt_switch" ];
    };
  };
}
